Package Scientific :: Package Visualization :: Module VMD :: Class Cylinder

[frames] | no frames]

# Class Cylinder

    VMDObject --+
                |
      ShapeObject --+
                    |
                   Cylinder

Cylinder

Instance Methods

__init__(self, point1, point2, radius, faces=`(`1`,` 1`,` 1`)`, **attr) |

writeSpecification(self, file) |

Inherited from `ShapeObject`: `__add__`, `use`, `writeToFile` Inherited from `VMDObject`: `__copy__`, `__getitem__`, `__setitem__`

Class Variables
Inherited from `ShapeObject`: `attribute_names`

Method Details

### __init__(self, point1, point2, radius, faces=`(`1`,` 1`,` 1`)`, **attr)
(Constructor)

Parameters:
  - `point1` (Scientific.Geometry.Vector) - first end point of the cylinder axis
  - `point2` (Scientific.Geometry.Vector) - second end point of the cylinder axis
  - `radius` (positive number) - the cylinder radius
  - `faces` - a sequence of three boolean flags, corresponding to the cylinder hull and the two circular end pieces, specifying for each of these parts whether it is visible or not
  - `attr` - graphics attributes as keyword parameters
Overrides: VMDObject.__init__